Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Database XML Java API Reference 10g Release 2 (10.2) B14293-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.xml.transviewer
Class DBAccess

`java.lang.Object
oracle.xml.transviewer.DBAccess`

Deprecated. Please use oracle.xml.dbaccess.DBAccess

public class DBAccess
extends java.lang.Object

Maintains CLOB tables that can hold multiple XML and text documents. Each table is created using the statement: CREATE TABLE tablename FILENAME CHAR( 16) UNIQUE, FILEDATA CLOB) LOB(FILEDATA) STORE AS (DISABLE STORAGE IN ROW). Each XML (or text) document is stored as a row in the table and the FILENAME field holds a unique string that is used as a key to retrieve, update or delete the row. The document text is stored in the FILEDATA field that is a CLOB object. The class creates and deletes CLOB tables, list a CLOB table content and also add, replace or delete text documents in this CLOB tables.

Field Summary
`protected int` | `nameSize` Deprecated.

Constructor Summary
`DBAccess()` Deprecated.

Method Summary
`boolean` | `createBLOBTable(java.sql.Connection con, java.lang.String tablename)` Deprecated. Create BLOB table
`boolean` | `createXMLTable(java.sql.Connection con, java.lang.String tablename)` Deprecated. Create XML table
`boolean` | `deleteBLOBName(java.sql.Connection con, java.lang.String tablename, java.lang.String xmlname)` Deprecated. Delete binary file from BLOB table
`boolean` | `deleteXMLName(java.sql.Connection con, java.lang.String tablename, java.lang.String xmlname)` Deprecated. Delete file from XML table
`boolean` | `dropBLOBTable(java.sql.Connection con, java.lang.String tablename)` Deprecated. Delete BLOB table
`boolean` | `dropXMLTable(java.sql.Connection con, java.lang.String tablename)` Deprecated. Delete XML table
`byte[]` | `getBLOBData(java.sql.Connection con, java.lang.String tablename, java.lang.String xmlname)` Deprecated. Retrieve binary file from BLOB table
`int` | `getNameSize()` Deprecated. Returns the size of the field where the filename is kept.
`java.lang.String` | `getXMLData(java.sql.Connection con, java.lang.String tablename, java.lang.String xmlname)` Deprecated. Retrieve text file from XML table
`java.lang.String[]` | `getXMLNames(java.sql.Connection con, java.lang.String tablename)` Deprecated. Returns all file names in XML table
`java.lang.String[]` | `getXMLTableNames(java.sql.Connection con, java.lang.String tablePrefix)` Deprecated. Gets all XML tables with names starting with a given string
`boolean` | `insertBLOBData(java.sql.Connection con, java.lang.String tablename, java.lang.String xmlname, byte[] xmldata)` Deprecated. Inserts binary file as a row in BLOB table
`boolean` | `insertXMLData(java.sql.Connection con, java.lang.String tablename, java.lang.String xmlname, java.lang.String xmldata)` Deprecated. Inserts text file as a row in XML table
`boolean` | `isXMLTable(java.sql.Connection con, java.lang.String tablename)` Deprecated. Check if the table is XML table.
`boolean` | `replaceXMLData(java.sql.Connection con, java.lang.String tablename, java.lang.String xmlname, java.lang.String xmldata)` Deprecated. Replace text file as a row in XML table
`boolean` | `xmlTableExists(java.sql.Connection con, java.lang.String tablename)` Deprecated. Checks if the XML table exists

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### nameSize

    protected int nameSize

  Deprecated.

Constructor Detail

### DBAccess

    public DBAccess()

  Deprecated.

Method Detail

### getNameSize

    public int getNameSize()

  Deprecated.
  Returns the size of the field where the filename is kept.
  Returns:
    filename size

### isXMLTable

    public boolean isXMLTable(java.sql.Connection con,
                              java.lang.String tablename)
                       throws java.lang.Exception

  Deprecated.
  Check if the table is XML table.
  Parameters:
    `con` - - the Connection object
  Returns:
    true if this is XML table
  Throws:
    `java.lang.Exception`

### getXMLTableNames

    public java.lang.String[] getXMLTableNames(java.sql.Connection con,
                                               java.lang.String tablePrefix)
                                        throws java.lang.Exception

  Deprecated.
  Gets all XML tables with names starting with a given string
  Parameters:
    `con` - - the Connection object
    `tablePrefix` - - table prefix string
  Returns:
    array of all XML tables that begin with tablePrefix
  Throws:
    `java.lang.Exception`

### insertXMLData

    public boolean insertXMLData(java.sql.Connection con,
                                 java.lang.String tablename,
                                 java.lang.String xmlname,
                                 java.lang.String xmldata)
                          throws java.sql.SQLException,
                                 java.io.IOException

  Deprecated.
  Inserts text file as a row in XML table
  Parameters:
    `con` - - the Connection object
    `tablename` - - the table name
    `xmlname` - - the file name
    `xmldata` - - string with the file data
  Returns:
    true if successfull
  Throws:
    `java.sql.SQLException`
    `java.io.IOException`

### insertBLOBData

    public boolean insertBLOBData(java.sql.Connection con,
                                  java.lang.String tablename,
                                  java.lang.String xmlname,
                                  byte[] xmldata)
                           throws java.sql.SQLException,
                                  java.io.IOException

  Deprecated.
  Inserts binary file as a row in BLOB table
  Parameters:
    `con` - - the Connection object
    `tablename` - - the table name
    `xmlname` - - the file name
    `xmldata` - - byte array with file data
  Returns:
    true if successfull
  Throws:
    `java.sql.SQLException`
    `java.io.IOException`

### replaceXMLData

    public boolean replaceXMLData(java.sql.Connection con,
                                  java.lang.String tablename,
                                  java.lang.String xmlname,
                                  java.lang.String xmldata)
                           throws java.lang.Exception

  Deprecated.
  Replace text file as a row in XML table
  Parameters:
    `con` - - the Connection object
    `tablename` - - the table name
    `xmlname` - - the file name
    `xmldata` - - string with the file data
  Returns:
    true if successfull
  Throws:
    `java.lang.Exception`

### xmlTableExists

    public boolean xmlTableExists(java.sql.Connection con,
                                  java.lang.String tablename)
                           throws java.lang.Exception

  Deprecated.
  Checks if the XML table exists
  Parameters:
    `con` - - the Connection object
    `tablename` - - the table name
  Returns:
    true if the table exists
  Throws:
    `java.lang.Exception`

### dropXMLTable

    public boolean dropXMLTable(java.sql.Connection con,
                                java.lang.String tablename)
                         throws java.lang.Exception

  Deprecated.
  Delete XML table
  Parameters:
    `con` - - the Connection object
    `tablename` - - the table name
  Returns:
    true if successfull
  Throws:
    `java.lang.Exception`

### dropBLOBTable

    public boolean dropBLOBTable(java.sql.Connection con,
                                 java.lang.String tablename)
                          throws java.lang.Exception

  Deprecated.
  Delete BLOB table
  Parameters:
    `con` - - the Connection object
    `tablename` - - the table name
  Returns:
    true if successfull
  Throws:
    `java.lang.Exception`

### createXMLTable

    public boolean createXMLTable(java.sql.Connection con,
                                  java.lang.String tablename)
                           throws java.lang.Exception

  Deprecated.
  Create XML table
  Parameters:
    `con` - - the Connection object
    `tablename` - - the table name
  Returns:
    true if successfull
  Throws:
    `java.lang.Exception`

### createBLOBTable

    public boolean createBLOBTable(java.sql.Connection con,
                                   java.lang.String tablename)
                            throws java.lang.Exception

  Deprecated.
  Create BLOB table
  Parameters:
    `con` - - the Connection object
    `tablename` - - the table name
  Returns:
    true if successfull
  Throws:
    `java.lang.Exception`

### getXMLNames

    public java.lang.String[] getXMLNames(java.sql.Connection con,
                                          java.lang.String tablename)
                                   throws java.lang.Exception

  Deprecated.
  Returns all file names in XML table
  Parameters:
    `con` - - the Connection object
    `tablename` - - the table name
  Returns:
    String array with all file names in this table
  Throws:
    `java.lang.Exception`

### getXMLData

    public java.lang.String getXMLData(java.sql.Connection con,
                                       java.lang.String tablename,
                                       java.lang.String xmlname)
                                throws java.sql.SQLException

  Deprecated.
  Retrieve text file from XML table
  Parameters:
    `con` - - the Connection object
    `tablename` - - the table name
    `xmlname` - - the file name
  Returns:
    file as a string
  Throws:
    `java.sql.SQLException`

### getBLOBData

    public byte[] getBLOBData(java.sql.Connection con,
                              java.lang.String tablename,
                              java.lang.String xmlname)
                       throws java.sql.SQLException

  Deprecated.
  Retrieve binary file from BLOB table
  Parameters:
    `con` - - the Connection object
    `tablename` - - the table name
    `xmlname` - - the file name
  Returns:
    file as a byte array
  Throws:
    `java.sql.SQLException`

### deleteBLOBName

    public boolean deleteBLOBName(java.sql.Connection con,
                                  java.lang.String tablename,
                                  java.lang.String xmlname)
                           throws java.lang.Exception

  Deprecated.
  Delete binary file from BLOB table
  Parameters:
    `con` - - the Connection object
    `tablename` - - the table name
    `xmlname` - - the file name
  Returns:
    true if successfull
  Throws:
    `java.lang.Exception`

### deleteXMLName

    public boolean deleteXMLName(java.sql.Connection con,
                                 java.lang.String tablename,
                                 java.lang.String xmlname)
                          throws java.lang.Exception

  Deprecated.
  Delete file from XML table
  Parameters:
    `con` - - the Connection object
    `tablename` - - the table name
    `xmlname` - - the file name
  Returns:
    true if successfull
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Database XML Java API Reference 10g Release 2 (10.2) B14293-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2005, Oracle. All rights reserved.